import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { EntryListComponent } from './entry-list/entry-list.component';
import { EntryAddComponent } from './entry-add/entry-add.component';
import { EntryEditComponent } from './entry-edit/entry-edit.component';
import { PageNotFoundComponent } from './page-not-found/page-not-found.component';

const routes: Routes = [
  { path: 'entries', component: EntryListComponent },
  { path: 'entries/add', component: EntryAddComponent },
  { path: 'entries/edit/:id', component: EntryEditComponent },
  { path: '', redirectTo: '/entries', pathMatch: 'full' },
  { path: '**', component: PageNotFoundComponent }
];

@NgModule({
  imports: [RouterModule.forRoot(routes, { useHash: true })],
  exports: [RouterModule]
})
export class AppRoutingModule { }
