import { Component, OnInit } from '@angular/core';
import { ToasterService, ToasterConfig } from 'angular2-toaster';
import { AppConfigService } from './services';
import 'rxjs/add/operator/filter';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css']
})
export class AppComponent implements OnInit {
  applicationName = "Fitness Frog";
  usingInMemoryData: boolean = false;

  toasterconfig: ToasterConfig = new ToasterConfig({
    animation: 'fade', // fade, flyLeft, flyRight, slideDown, slideUp
    limit: 5,
    timeout: { error: 0, success: 5000, info: 5000, warning: 5000, wait: 0 },
    positionClass: 'toast-bottom-right' // toast-top-full-width, toast-bottom-full-width, toast-top-left, toast-top-center, toast-top-right, toast-bottom-right, toast-bottom-center, toast-bottom-left, toast-center
  });

  constructor(
      private appConfigService: AppConfigService,
      private toasterService: ToasterService) {
    this.usingInMemoryData = appConfigService.appConfig.useInMemoryData;
  }

  ngOnInit() {
  }

  getCurrentYear() {
    return new Date().getFullYear();
  }
}
