import { Component, EventEmitter, Output } from '@angular/core';
import { BsModalRef } from 'ngx-bootstrap/modal/modal-options.class';
import { Activity, Entry } from '../models';
import { EntryService } from '../services';

@Component({
  selector: 'app-entry-delete',
  templateUrl: './entry-delete.component.html',
  styleUrls: ['./entry-delete.component.css']
})
export class EntryDeleteComponent {
  title: string = "Delete Entry";
  entry: Entry = new Entry();
  @Output() onEntryDeleted: EventEmitter<boolean> = new EventEmitter<boolean>();

  constructor(
    private entryService: EntryService,
    private modalRef: BsModalRef) { }

  displayEntry(entry: Entry) {
    this.entry = entry;
  }

  delete() {
    this.entryService.delete(this.entry).subscribe(data => {
      this.onEntryDeleted.emit(true);
      this.onEntryDeleted.complete();
      this.modalRef.hide();
    });
  }

  cancel() {
    this.onEntryDeleted.complete();
    this.modalRef.hide();    
  }
}
