import { Component, OnInit, Input } from '@angular/core';
import { Router, NavigationEnd } from '@angular/router';

@Component({
  selector: 'app-navbar',
  templateUrl: './navbar.component.html',
  styleUrls: ['./navbar.component.css']
})
export class NavbarComponent implements OnInit {
  @Input() applicationName: string = null;
  displayAddEntryButton: boolean = true;
  isIn = false;

  constructor(
    private router: Router) { }

  ngOnInit() {
      // Watch the router events as they happen and hide the 
      // "Add Entry" button when the user views the "Add Entry" page.
      this.router.events
        .filter(event => event instanceof NavigationEnd)
        .subscribe((event: NavigationEnd) => {
          // Always hide the hamburger menu after navigation has ended.
          this.isIn = false;

          // Hide the "Add Entry" button when viewing the "Add Entry" page.
          this.displayAddEntryButton = (event.url !== "/entries/add");
        });
  }

  toggleState() {
    this.isIn = !this.isIn; 
  }  
}
