import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { Activity } from '../models';
import { AppConfigService, DataService } from './';
import { BaseService } from './base.service';
import { environment } from '../../environments/environment';
import { Observable } from 'rxjs/Observable';
import 'rxjs/add/observable/of';

@Injectable()
export class ActivityService extends BaseService {
  constructor(
      http: HttpClient, 
      private appConfigService: AppConfigService, 
      private dataService: DataService) {
    super(http, environment.apiBaseUrl);
  }

  getList() {
    if (this.appConfigService.appConfig.useInMemoryData) {
      return Observable.of(this.dataService.activities);
    }

    return super.getRequest<Activity[]>('activities');
  }  
}
