import { Injectable } from '@angular/core';
import { HttpClient, HttpErrorResponse } from '@angular/common/http';

export function AppConfigServiceFactory(config: AppConfigService) {
  return () => config.load();
}

interface AppConfig {
  useInMemoryData: boolean;
}

@Injectable()
export class AppConfigService {
  appConfig: AppConfig;

  constructor(
    private http: HttpClient) { }

  load() {
    return new Promise((resolve, reject) => {
      this.http.get<AppConfig>(`client-app-config.json?${Date.now()}`)
        .subscribe(appConfig => {
          this.appConfig = appConfig;
          resolve(true);
        }, (err: HttpErrorResponse) => {
          reject(err);
        });
    });
  }
}
